- Main Page
- Namespaces
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# uPtr Union Reference

`#include <ubixfs.h>`

## Data Fields
bNode * | bPtr
bTree * | btPtr
inodeAddr | iAddr
ubixfsInode * | iPtr
off_t | offset
void * | vPtr

## Detailed Description

Definition at line 47 of file ubixfs.h.

## Field Documentation

bNode* uPtr::bPtr

Definition at line 49 of file ubixfs.h.

bTree* uPtr::btPtr

Definition at line 50 of file ubixfs.h.

inodeAddr uPtr::iAddr

Definition at line 48 of file ubixfs.h.

ubixfsInode* uPtr::iPtr

Definition at line 51 of file ubixfs.h.

off_t uPtr::offset

Definition at line 53 of file ubixfs.h.

void* uPtr::vPtr

Definition at line 52 of file ubixfs.h.

The documentation for this union was generated from the following file:

- src/sys/ubixfsv2/ubixfs.h